NSX-T Data Center REST API
Create or update service chain
Create or update Service chain representing the sequence in which 3rd partyservices must be consumed.
Request:
Method:
PUT
URI Path(s):
/policy/api/v1/infra/service-chains/{service-chain-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
PolicyServiceChain+
Example Request:
PUT https://<policy-mgr>/policy/api/v1/infra/service-chain/SC-1 { "resource_type" : "PolicyServiceChain", "display_name" : "PSC_2 Changed", "description" : "PSC_2 Desc Changed", "forward_path_service_profiles": [ "/infra/service-references/SR_1/service-profiles/SP_1", "/infra/service-references/SR_1/service-profiles/SP_2" ], "reverse_path_service_profiles": [ "/infra/service-references/SR_1/service-profiles/SP_2", "/infra/service-references/SR_1/service-profiles/SP_1" ], "service_segment_path": [ "/infra/segments/service-segments/SS_1" ], "failure_policy": "ALLOW", "path_selection_policy": "ANY", "_revision": 0 }Successful Response:
Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
PolicyServiceChain+